cURL
curl --request POST \ --url https://idaas.yourflexpay.com/api/v1/claims/{claimId}/revoke \ --header 'Authorization: Bearer <token>'
{ "success": true, "message": "<string>", "errorCode": "<string>", "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "tagString": "<string>", "subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "subjectExternalId": "<string>", "requestedByAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "requestedByAppName": "<string>", "state": "PENDING", "requestedAt": "2023-11-07T05:31:56Z", "approvedAt": "2023-11-07T05:31:56Z", "revokedAt": "2023-11-07T05:31:56Z", "consentToken": "<string>", "approvalUrl": "<string>", "tokenExpiresAt": "2023-11-07T05:31:56Z" }, "errors": [ "<string>" ], "timestamp": "2023-11-07T05:31:56Z" }
Revokes a previously approved claim for the authenticated application so it is no longer considered valid.
Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.
POST /v1/auth/token
client_id
client_secret
Bearer <token>
Claim revoked
Show child attributes